const pieGenerator = d3.pie();
const data = [10, 40, 30, 20, 60, 80];

const arcData = pieGenerator(data);

const arcGenerator = d3.arc()
	.innerRadius(40)
	.outerRadius(100)

d3.select('g')
	.selectAll('path')
	.data(arcData)
	.join('path')
	.attr('fill', 'orange')
	.attr('stroke', 'white')
	.attr('d', arcGenerator);